# Class: MoneroTx

## MoneroTx(state)

Represents a transaction on the Monero network.

## Constructor

#### new MoneroTx(state)

Construct the model.

##### Parameters:

Name | Type | Description
--- | --- | ---
`state` | MoneroTx | object | is existing state to initialize from (optional)

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 11

### Methods

#### copy()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 402

#### getBlock()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 49

#### getExtra()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 312

#### getFee()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 98

#### getFullHex() → {string}

Get full transaction hex. Full hex = pruned hex + prunable hex.

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 211

##### Returns:

is full transaction hex

Type
  string

#### getHash()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 62

#### getHeight()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 58

#### getInputs()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 276

#### getKey()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 197

#### getLastFailedHash()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 366

#### getLastFailedHeight()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 357

#### getLastRelayedTimestamp()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 170

#### getMaxUsedBlockHash()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 384

#### getMaxUsedBlockHeight()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 375

#### getMetadata()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 303

#### getNumConfirmations()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 152

#### getOutputIndices()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 294

#### getOutputs()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 285

#### getPaymentId()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 89

#### getPrunableHash()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 249

#### getPrunableHex() → {string}

Get prunable transaction hex which is hex that is removed from a pruned transaction. Full hex = pruned hex + prunable hex.

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 240

##### Returns:

is the prunable transaction hex

Type
  string

#### getPrunedHex() → {string}

Get pruned transaction hex. Full hex = pruned hex + prunable hex.

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 225

##### Returns:

is pruned transaction hex

Type
  string

#### getRctSigPrunable()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 330

#### getRctSignatures()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 321

#### getReceivedTimestamp()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 179

#### getRelay()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 116

#### getRingSize()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 107

#### getSignatures()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 393

#### getSize()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 258

#### getUnlockHeight()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 161

#### getVersion()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 71

#### getWeight()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 267

#### inTxPool()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 143

#### isConfirmed()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 134

#### isDoubleSpendSeen()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 188

#### isFailed()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 348

#### isKeptByBlock()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 339

#### isMinerTx()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 80

#### isRelayed()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 125

#### merge(tx) → {MoneroTx}

Updates this transaction by merging the latest information from the given transaction.

##### Parameters:

Name | Type | Description
--- | --- | ---
`tx` |  | is the transaction to update this transaction with

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 429

##### Returns:

this for method chaining

Type
  MoneroTx

#### setBlock()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 53

#### setExtra()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 316

#### setFee()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 102

#### setFullHex()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 215

#### setHash()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 66

#### setInTxPool()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 147

#### setInputs()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 280

#### setIsConfirmed()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 138

#### setIsDoubleSpend()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 192

#### setIsFailed()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 352

#### setIsKeptByBlock()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 343

#### setIsMinerTx()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 84

#### setIsRelayed()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 129

#### setKey()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 201

#### setLastFailedHash()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 370

#### setLastFailedHeight()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 361

#### setLastRelayedTimestamp()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 174

#### setMaxUsedBlockHash()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 388

#### setMaxUsedBlockHeight()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 379

#### setMetadata()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 307

#### setNumConfirmations()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 156

#### setOutputIndices()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 298

#### setOutputs()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 289

#### setPaymentId()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 93

#### setPrunableHash()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 253

#### setPrunableHex()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 244

#### setPrunedHex()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 229

#### setRctSigPrunable()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 334

#### setRctSignatures()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 325

#### setReceivedTimestamp()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 183

#### setRelay()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 120

#### setRingSize()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 111

#### setSignatures()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 397

#### setSize()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 262

#### setUnlockHeight()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 165

#### setVersion()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 75

#### setWeight()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 271

#### toJson()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 406

#### toString()

Source:
  - src/main/js/daemon/model/MoneroTx.js, line 531